unit Form_phGrid_BA_Sample;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, phOffscreenPaint, phBabGridView,phBabGridContent, phGrid,
  phGrid_BA,BoldElements,BoldAttributes, StdCtrls;

type
  TForm1 = class(TForm)
    phGrid_BA1: TphGrid_BA;
    Panel1: TPanel;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure phGrid_BA1Columns1ContextSensitiveSubGrid(aGrid: TphGrid;
      aAxisContentItemY: TAxisContentItem; aColumn: TphGrid_Column;
      var SubGrid: String);
    procedure phGrid_BA1CellContentUpdate_After(aGrid: TphGrid;
      aColumn: TphGrid_Column; aBabCell: TBabCell);
    procedure phGrid_BA1Columns2ContextSensitiveSubGrid(aGrid: TphGrid;
      aAxisContentItemY: TAxisContentItem; aColumn: TphGrid_Column;
      var SubGrid: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses datamod,BuildingClasses;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  phGrid_BA1.ShowLinesTree:=FALSE;
end;

procedure TForm1.phGrid_BA1Columns1ContextSensitiveSubGrid(aGrid: TphGrid;
  aAxisContentItemY: TAxisContentItem; aColumn: TphGrid_Column;
  var SubGrid: String);
var
  elem:TBoldElement;
begin
  if Assigned(aAxisContentItemY) then
  begin
    elem:=phGrid_BA1.AxisContentItemToRowFollower(aAxisContentItemY).Element;
    if elem is TResidential_Building then
      SubGrid:='building'
    else
    if elem is TPerson then
      SubGrid:='person'
    else
      SubGrid:='';
  end;
end;

procedure TForm1.phGrid_BA1CellContentUpdate_After(aGrid: TphGrid;
  aColumn: TphGrid_Column; aBabCell: TBabCell);
var
  be:TBoldElement;
begin
  be:=phGrid_BA1.CellToElement(aBabCell);
  if be=DataModule1.BoldSystemHandle1.System then
  begin
    phGrid_BA1.CellLayouts.ApplyFromLayoutName('bigstatic',aBabCell);
  end
  else
  if phGrid_BA1.GetText(aBabCell)='Owned buildings' then
      phGrid_BA1.CellLayouts.ApplyFromLayoutName('italicbold',aBabCell);

end;

procedure TForm1.phGrid_BA1Columns2ContextSensitiveSubGrid(aGrid: TphGrid;
  aAxisContentItemY: TAxisContentItem; aColumn: TphGrid_Column;
  var SubGrid: String);
var
  elem:TBoldElement;
begin
  if Assigned(aAxisContentItemY) then
  begin
    elem:=phGrid_BA1.AxisContentItemToRowFollower(aAxisContentItemY).Element;
    if elem is TResidential_Building then
      SubGrid:='buildingcol2'
    else
    if elem is TPerson then
      SubGrid:='personcol2'
    else
      SubGrid:='';
  end;
end;


end.
