//---------------------------------------------------------------------------

#ifndef Unit4H
#define Unit4H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "virtueldata.h"
#include <ExtCtrls.hpp>
#include "BaseView.h"
#include "phGant.hpp"
//---------------------------------------------------------------------------
class TGanttView : public TBaseView
{
__published:	// IDE-managed Components
   TphGant *phGant1;
   void __fastcall ListView1ColumnClick(TObject *Sender,
          TListColumn *Column);
   void __fastcall FormCreate(TObject *Sender);
        void __fastcall phGant1VirtualLoad_Grid(TBabGridCell *theCaller,
          TAxisContentItem *theAxisItem, bool theRowNotColumn);
        void __fastcall phGant1VirtualUnLoad_Grid(TBabGridCell *theCaller,
          TAxisContentItem *theAxisItem, bool theRowNotColumn,
          bool UnloadPerform, bool &CanUnload);
        void __fastcall phGant1ColumnSort_Grid(TphGrid *aGrid,
          TphGrid_Column *aColumn, bool aUpNotDown,
          bool &GoOnInternalSort);
private:	// User declarations
   std::vector<bool> sortDirections;
   bool isvirtual;
public:		// User declarations
   VirtuelTestDatas virtuelTestDatas;
   __fastcall TGanttView(TComponent* Owner, VirtuelTestDatas &virtuelTestDatas, bool Virtual);
   void VirtuelDataChanged(VirtuelTestDatas &x);
};
//---------------------------------------------------------------------------
extern PACKAGE TGanttView *GanttView;
//---------------------------------------------------------------------------
#endif
