unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ExtCtrls, phOffscreenPaint, phBabGridView, phGrid,phGridTree,
  phBabGridContent;

type
  TForm1 = class(TForm)
    phGrid1: TphGrid;
    PopupMenu1: TPopupMenu;
    Addrow1: TMenuItem;
    Addsubrow1: TMenuItem;
    N1: TMenuItem;
    Removerow1: TMenuItem;
    procedure Addrow1Click(Sender: TObject);
    procedure Addsubrow1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Removerow1Click(Sender: TObject);
  private
    procedure InitRow(aNode: TphDataEntity_GridTreeNode);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.InitRow(aNode:TphDataEntity_GridTreeNode);
begin
  phGrid1.SetText(phGrid1.Cell[0,aNode.AxisContentItem.ListIndex],'Col1');
  phGrid1.SetText(phGrid1.Cell[1,aNode.AxisContentItem.ListIndex],'Col2');
  phGrid1.SetText(phGrid1.Cell[2,aNode.AxisContentItem.ListIndex],'Col3');
end;

procedure TForm1.Addrow1Click(Sender: TObject);
begin
  InitRow(phGrid1.GetTree.AddDataEntity(nil));
end;

procedure TForm1.Addsubrow1Click(Sender: TObject);
var
  aCell:TBabCell;
  p:TPoint;
begin
  p:=phGrid1.ScreenToClient(PopupMenu1.PopupPoint);
  aCell:=phGrid1.MainGrid.CellFromPix(p.X,p.Y);
  if Assigned(aCell) then
    InitRow(phGrid1.GetTree.AddDataEntity(phGrid1.CellToNode(aCell)));

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  phGrid1.SetUseTree(TRUE);
end;

procedure TForm1.Removerow1Click(Sender: TObject);
var
  aCell:TBabCell;
begin
  aCell:=phGrid1.MainGrid.CellFromPix(PopupMenu1.PopupPoint.X,PopupMenu1.PopupPoint.Y);
  if Assigned(aCell) then
    phGrid1.GetTree.RemoveDataEntity(phGrid1.CellToNode(aCell));
end;

end.
