unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, phGant, phSchema, ComCtrls, StdCtrls,Unit2;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    phGant1: TphGant;
    phSchema1: TphSchema;
    Panel1: TPanel;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure phSchema1ChangeDataEntity_SchemaTime(
      theSchema: TphSchema_ComBasic;
      theDataEntity: TphDataEntity_SchemaTime);
    procedure Button1Click(Sender: TObject);
    procedure phGant1TimeChangeRow(theGant: TphGant_ComBasic;
      theDataEntity: TphDataEntity_GantTime; theRow, theNewRow: TGantRow;
      theStartDate, theStopDate: TDateTime);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  // UseGrid instead of tree
  phGant1.UseGridNotTree:=TRUE;

  phGant1.Grid.DefaultContentLayoutProperty.WrapTextAndFit:=TRUE;

  //Initialize the grid columns
  with phGant1.Grid do
  begin
    AddColumn;
    AddColumn;
    AddColumn;
    AddColumn;
    Columns[0].Width:=50;
    Columns[1].Width:=50;
    Columns[2].Width:=50;
    Columns[3].Width:=50;
    phGant1.Grid.HasHeaders:=TRUE;
  end;

  //Add sample tree nodes to grid
  phGant1.GridNode_Add(nil);
  phGant1.GridNode_Add(nil);
  phGant1.GridNode_Add(phGant1.GridNode_Add(phGant1.GridNode_Add(nil)));

  // Set sample value on tree nodes
  phGant1.Grid.SetText(phGant1.Grid.Cell[0,1],'one xxx xxx xxx xxx xxx xxx xxx xxx xxx');
  phGant1.Grid.SetText(phGant1.Grid.Cell[0,2],'two');
  phGant1.Grid.SetText(phGant1.Grid.Cell[0,3],'three');
  phGant1.Grid.SetText(phGant1.Grid.Cell[0,4],'four');


  // add sample gant data
  with phGant1.GridNode_AddGantTime(phGant1.RowList.Rows[0].GridTreeNode,0) do
  begin
    Start:=phGant1.DateScaler.Start+5;
    Stop:=phGant1.DateScaler.Start+7;
    Style:=gtsPipe;
    Color:=clRed;
  end;
  with phGant1.GridNode_AddGantTime(phGant1.RowList.Rows[1].GridTreeNode,0) do
  begin
    Start:=phGant1.DateScaler.Start+6;
    Stop:=phGant1.DateScaler.Start+8;
    Style:=gtsPipe;
    Color:=clGreen;
  end;
  with phGant1.GridNode_AddGantTime(phGant1.RowList.Rows[2].GridTreeNode,0) do
  begin
    Start:=phGant1.DateScaler.Start+7;
    Stop:=phGant1.DateScaler.Start+9;
    Style:=gtsPipe;
    Color:=clYellow;
  end;
  with phGant1.GridNode_AddGantTime(phGant1.RowList.Rows[3].GridTreeNode,0) do
  begin
    Start:=phGant1.DateScaler.Start+5;
    Stop:=phGant1.DateScaler.Start+7;
    Style:=gtsPipe;
    Color:=clRed;
  end;

  //-------------------

  phSchema1.AddColumn.Width:=150;
  phSchema1.AddColumn.Width:=150;
  phSchema1.AddColumn.Width:=150;

  with phSchema1.AddSchemaTime(0) do
  begin
    Start:=phSchema1.ScalerStart+3;
    Stop:=phSchema1.ScalerStart+5;
    Col:=0;
  end;
  with phSchema1.AddSchemaTime(0) do
  begin
    Start:=phSchema1.ScalerStart+4;
    Stop:=phSchema1.ScalerStart+6;
    Col:=0;
  end;
  with phSchema1.AddSchemaTime(0) do
  begin
    Start:=phSchema1.ScalerStart+5;
    Stop:=phSchema1.ScalerStart+7;
    Col:=0;
  end;
end;

procedure TForm1.phSchema1ChangeDataEntity_SchemaTime(
  theSchema: TphSchema_ComBasic; theDataEntity: TphDataEntity_SchemaTime);
begin
  //OnChangeDataEntity_SchemaTime
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form2.Show;
end;

procedure TForm1.phGant1TimeChangeRow(theGant: TphGant_ComBasic;
  theDataEntity: TphDataEntity_GantTime; theRow, theNewRow: TGantRow;
  theStartDate, theStopDate: TDateTime);
begin
  theDataEntity.ChangeOwner(theNewRow.DataLists.Items[0],0);
end;

end.
