unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls;

type
  TForm2 = class(TForm)
    PaintBox1: TPaintBox;
    Panel1: TPanel;
    TrackBar1: TTrackBar;
    procedure PaintBox1Paint(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation
uses
  Unit1,phGanttPrinting;
{$R *.dfm}

procedure TForm2.PaintBox1Paint(Sender: TObject);
var
  uw,uh,i:Integer;
begin
  TphPrintGantt.PrintWithGrid(Form1.phGant1,PaintBox1.Canvas.Handle,0,0,TrackBar1.Position/10,TrackBar1.Position/10,200,nil,5,true,Form1.phGant1.Start,Form1.phGant1.Stop,500,40,uw,uh,-1,-1,nil);
  PaintBox1.Canvas.Pen.Color:=clYellow;
  PaintBox1.Canvas.Pen.Width:=1;
  for i:=0 to 10 do
  begin
    PaintBox1.Canvas.MoveTo(i*100,0);
    PaintBox1.Canvas.LineTo(i*100,PaintBox1.Height);
  end;
  for i:=0 to 10 do
  begin
    PaintBox1.Canvas.MoveTo(0,i*100);
    PaintBox1.Canvas.LineTo(PaintBox1.Width,i*100);
  end;
  PaintBox1.Canvas.Pen.Color:=clRed;
  PaintBox1.Canvas.Pen.Width:=3;
  PaintBox1.Canvas.MoveTo(0,uh);
  PaintBox1.Canvas.LineTo(uw,uh);

end;

procedure TForm2.TrackBar1Change(Sender: TObject);
begin
  PaintBox1.Invalidate;
end;

end.
