//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ListViewVirtuel.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BaseView"
#pragma resource "*.dfm"
using namespace std;
TListViewVirtuel *ListViewVirtuel;
//---------------------------------------------------------------------------
__fastcall TListViewVirtuel::TListViewVirtuel(TComponent* Owner, VirtuelTestDatas &virtuelTestDatas)
   : TBaseView(Owner), virtuelTestDatas(virtuelTestDatas)
{
   VirtuelDataChanged(virtuelTestDatas);
}
//---------------------------------------------------------------------------

void __fastcall TListViewVirtuel::ListView1Data(TObject *Sender, TListItem *Item)
{
   Item->Caption = virtuelTestDatas[Item->Index]->id;
   Item->SubItems->Add(IntToStr(virtuelTestDatas[Item->Index]->date));
}
//---------------------------------------------------------------------------

void __fastcall TListViewVirtuel::ListView1ColumnClick(TObject *Sender,
      TListColumn *Column)
{
   TWaitCursor waitCursor;

   sortDirections[Column->Index] = !sortDirections[Column->Index];
   switch (Column->Index) {
      case 0: stable_sort(virtuelTestDatas.begin(), virtuelTestDatas.end(), CompareId(sortDirections[Column->Index])); break;
      case 1: stable_sort(virtuelTestDatas.begin(), virtuelTestDatas.end(), CompareDate(sortDirections[Column->Index])); break;
   }
   ListView1->Items->BeginUpdate();
   ListView1->Items->EndUpdate();
}
//---------------------------------------------------------------------------
void __fastcall TListViewVirtuel::FormCreate(TObject *Sender)
{
   for (int i=0; ListView1->Columns->Count!=i; ++i)
      sortDirections.push_back(true);
}

void TListViewVirtuel::VirtuelDataChanged(VirtuelTestDatas &x)
{
   TWaitCursor waitCursor;
   microtimer timer;
   ListView1->Items->BeginUpdate();
   virtuelTestDatas = x;
   ListView1->Items->Count = virtuelTestDatas.size();
   ListView1->Items->EndUpdate();
   StatusBar1->SimpleText = "Updated data in " + IntToStr(timer.stop())+ " ms";
}

//---------------------------------------------------------------------------
