
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MainForm.h"
#include "ListViewNonVirtuel.h"
#include "ListViewVirtuel.h"
#include "GanttView.h"
#include "virtueldata.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------

int VirtuelTestData::count = 0;

void __fastcall TMainForm::Button1Click(TObject *Sender)
{
   TWaitCursor waitCursor;

   int count = StrToInt(ComboBox1->Text);
   for (int i=0; count!=i; ++i)
      virtuelTestDatas.push_back(new VirtuelTestData);
   StatusBar1->SimpleText = "Total: " + IntToStr(virtuelTestDatas.size()) + " items";

   for(int i = MDIChildCount-1; i >= 0; i--) {
      TBaseView *mdiChild = dynamic_cast<TBaseView*>(MDIChildren[i]);
      if (mdiChild)
         mdiChild->VirtuelDataChanged(virtuelTestDatas);
   }

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FormClose(TObject *Sender, TCloseAction &Action)
{
   TWaitCursor waitCursor;
   for (unsigned int i=0; virtuelTestDatas.size()!=i; ++i)
      delete virtuelTestDatas[i];
}
//---------------------------------------------------------------------------




void __fastcall TMainForm::NewWindow1Click(TObject *Sender)
{
   new TListViewVirtuel(this, virtuelTestDatas);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Tile1Click(TObject *Sender)
{
   TileMode = tbHorizontal;
   Tile();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Tile2Click(TObject *Sender)
{
   TileMode = tbVertical;
	Tile();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Cascade1Click(TObject *Sender)
{
   Cascade();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::ArrangeAll1Click(TObject *Sender)
{
   ArrangeIcons();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CloseAll1Click(TObject *Sender)
{
  for(int i = MDIChildCount-1; i >= 0; i--)
    MDIChildren[i]->Close();
}
//---------------------------------------------------------------------------



void __fastcall TMainForm::Exit1Click(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::NewWindowNonVirtuel1Click(TObject *Sender)
{
   new TListViewNonVirtuel(this, virtuelTestDatas);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Button4Click(TObject *Sender)
{
   new TGanttView(this, virtuelTestDatas,false);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FormCreate(TObject *Sender)
{
   ComboBox1->ItemIndex = 0;
}
//---------------------------------------------------------------------------


void __fastcall TMainForm::Button5Click(TObject *Sender)
{
   new TGanttView(this, virtuelTestDatas,true);
}
//---------------------------------------------------------------------------

