//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

#include "virtueldata.h"

class TMainForm : public TForm
{
__published:	// IDE-managed Components
   TPanel *Panel1;
   TButton *Button1;
   TButton *Button2;
   TStatusBar *StatusBar1;
   TMainMenu *MainMenu1;
   TMenuItem *File1;
   TMenuItem *Exit1;
   TMenuItem *Window1;
   TMenuItem *ArrangeAll1;
   TMenuItem *Cascade1;
   TMenuItem *Tile1;
   TMenuItem *CloseAll1;
   TMenuItem *Tile2;
   TButton *Button3;
   TButton *Button4;
   TComboBox *ComboBox1;
   TMemo *Memo1;
   TButton *Button5;
   void __fastcall Button1Click(TObject *Sender);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall NewWindow1Click(TObject *Sender);
   void __fastcall Tile1Click(TObject *Sender);
   void __fastcall Cascade1Click(TObject *Sender);
   void __fastcall ArrangeAll1Click(TObject *Sender);
   void __fastcall CloseAll1Click(TObject *Sender);
   void __fastcall Tile2Click(TObject *Sender);
   void __fastcall Exit1Click(TObject *Sender);
   void __fastcall NewWindowNonVirtuel1Click(TObject *Sender);
   void __fastcall Button4Click(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
   __fastcall TMainForm(TComponent* Owner);
   VirtuelTestDatas virtuelTestDatas;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
