unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, phGant,phGridTree, StdCtrls,phScaler;

type
  TForm1 = class(TForm)
    phGant1: TphGant;
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure phGant1TimeChangeRow(theGant: TphGant_ComBasic;
      theDataEntity: TphDataEntity_GantTime; theRow, theNewRow: TGantRow;
      theStartDate, theStopDate: TDateTime);
    procedure RadioGroup1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  i:integer;
  anode:TphDataEntity_GridTreeNode;
  atime:TphDataEntity_GantTime;
begin
  for i:=0 to 100 do
  begin
    anode:=phGant1.GridNode_Add(nil);
    atime:=phGant1.GridNode_AddGantTime(anode,0);
    atime.Start:=phGant1.DateScaler.Start+1+i;
    atime.Stop:=atime.Start+20;
    atime.Color:=315*i;
    //atime.Visible:=i mod 2=0;
  end;
end;

procedure TForm1.phGant1TimeChangeRow(theGant: TphGant_ComBasic;
  theDataEntity: TphDataEntity_GantTime; theRow, theNewRow: TGantRow;
  theStartDate, theStopDate: TDateTime);
begin
  theDataEntity.ChangeOwner(theNewRow.DataLists.Items[0],0);
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  phGant1.TimeItemAutoScroll:=TTimeItemAutoScroll(RadioGroup1.ItemIndex);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  i,ii:integer;
  x,y:TDatetime;
begin
  try
    x:=1;
    for i:=1 to 10000 do
    begin
      y:=0;
      for ii:=0 to 1000 do
      begin
        phGant1.DateScaler.VisibleTimeDiffToTrueTime(37997+y,x);
        x:=x-1e-9;
        y:=y+x-5e-10;
      end;
    end;
  except
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  phGant1.HiddenHours:=[thh00,thh01,thh02,thh03,thh04];
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  phGant1.HiddenDays:=[thdSUN,thdMON,thdTUE];
end;

end.
